Package org.apache.velocity.io

# Interface Filter

All Known Implementing Classes:
  `VelocityWriter`

public interface Filter
Velocity will call the writeReference method on any Writer that implements this interface when rendering references within a template.

## Method Summary

Modifier and Type
Method
Description
`void`
`writeReference(String ref)`

## Method Details

### writeReference

void writeReference(String ref) throws IOException

Throws:
  `IOException`